package com.sqx.modules.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.PageUtils;
import com.sqx.common.utils.Result;
import com.sqx.modules.app.entity.UserEntity;
import com.sqx.modules.app.entity.UserMoney;
import com.sqx.modules.app.entity.UserMoneyDetails;
import org.springframework.web.bind.annotation.RequestAttribute;

import java.math.BigDecimal;

public interface UserMoneyService extends IService<UserMoney> {

    UserMoney selectUserMoneyByUserId(Long userId);

    void updateMoney(int i, Long userId, double money);

    void updateInviteMoney(int i, Long userId, double money);

    void updateBalance(int i, Long userId, double money);

    Double selectMyProfit(Long userId);

    PageUtils balanceDetailed(@RequestAttribute Long userId, Page<UserMoneyDetails> ipage);

    //Result profitDetailed(@RequestAttribute Long userId, IPage ipage);

    Result profitDetailed(@RequestAttribute Long userId, Long page, Long limit);

    Result updateCashDeposit(Long userId, BigDecimal money, Integer type);

    Result updateUserMoney(Integer type, Long userId, BigDecimal money);

    IPage<UserEntity> getRiderList(Integer page, Integer limit, UserEntity userEntity);



}
